package edu.pacificu.cs.chadd;
/*
* Creates Cat class which is a subclass of an Animal.
* 
* @author $Author: chadd $
* 
* @version $Revision: 77 $ $Date: 2011-03-28 11:05:50 -0700 (Mon, 28 Mar 2011) $
* 
* 
* @since 1.0
*/
public class Cat extends Animal {

	
	private int weight;
	
	/**
	 * Initialized data members using parameter
	 * 
	 * @param w		the weight of the animal
	 * 
	 * @since 1.0
	 */
	public Cat(int w)
	{
		weight = w;
	}
	
	/**
	 * Print a text message to the screen representing the sound this
	 * Cat makes.  If the weight of the Cat is over 20, this method produces
	 * "Roar!", otherwise this method produces "meow"
	 * 
	 * @since 1.0
	 */
	public void makeSound()
	{
		if (weight > 20)
		{
			System.err.print("Roar!");
		}
		else
		{
			System.err.print("meow");
		}
	}
	
	/**
	 * Call makeSound() surrounded by printing "hi" and "!"
	 * 
	 * @since 1.0
	 */
	public void hi()
	{
		System.err.print("hi ");
		makeSound();
		System.err.println("!");
	}
	
	/**
	 * Return the weight of the animal
	 * 
	 * @return the weight of the animal
	 * 
	 * @since 1.0
	 */
	public int getWeight2()
	{
		return weight;
	}
	
	/**
	 * Return twice the weight of the animal
	 * 
	 * @return the weight of the animal
	 * 
	 * @since 1.0
	 */
	public int getWeight()
	{
		return 2*weight;
	}
	
	/**
	 * Call makeSound() surrounded by printing "bye" and "!"
	 * 
	 * @since 1.0
	 */
	public void bye()
	{
		System.err.print("bye ");
		makeSound();
		System.err.println("!");
	}
		
}
